---
# .ansible-lint
# exclude_paths included in this file are parsed relative to this file's location
# and not relative to the CWD of execution. CLI arguments passed to the --exclude
# option will be parsed relative to the CWD of execution.
exclude_paths:
  - .cache/ # implicit unless exclude_paths is defined in config
  - cache_plugins
  - callback_plugins
  - files
  - filter_plugins
  - handlers
  - library
  - scripts
  # Ignore playbooks with strange error happening in <unicode string>
  - playbooks/groups/copr-db.yml
  # Exclude playbook that contains only include_playbook
  - playbooks/fedmsgupdate.yml
  # Some playbooks contains hardcoded paths, so exclude them from check
  - playbooks/list-vms-per-host.yml
  - playbooks/set_root_auth_keys.yml
  - playbooks/update-proxy-dns.yml
  - playbooks/update_ticketkey.yml
  - playbooks/vhost_reboot.yml
  - playbooks/vhost_update_reboot.yml
# parseable: true
# quiet: true
# verbosity: 1

# Mock modules or roles in order to pass ansible-playbook --syntax-check
mock_modules:
   - include_playbook
#  - zuul_return
#  # note the foo.bar is invalid as being neither a module or a collection
#  - fake_namespace.fake_collection.fake_module
#  - fake_namespace.fake_collection.fake_module.fake_submodule
mock_roles:
  - linux-system-roles.network

use_default_rules: true
# Load custom rules from this specific folder
# rulesdir:
#   - ./rule/directory/

# Offline mode disables installation of requirements.yml
offline: true

# Define required Ansible's variables to satisfy syntax check
extra_vars:
  target: localhost
  vhost: localhost
#  multiline_string_variable: |
#    line1
#    line2
#  complex_variable: ":{;\t$()"

# List of additional kind:pattern to be added at the top of the default
# match list, first match determines the file kind.
kinds:
  # - playbook: "**/examples/*.{yml,yaml}"
  # - galaxy: "**/folder/galaxy.yml"
  - tasks: "**/tasks/*.yml"
  - vars: "**/vars/*.yml"
  # - meta: "**/meta/main.yml"
  - yaml: "**/*.yaml-too"
